org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IncrementalSnapshotVerificationTask.HashHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.IncrementalSnapshotVerificationTask.HashHolder

Enclosing class:
  IncrementalSnapshotVerificationTask

    public static class IncrementalSnapshotVerificationTask.HashHolder
    extends Object

Holder for calculated hashes.

### Field Summary

Fields
`int` `hash`
`int` `verHash`

### Constructor Summary

Constructors
Constructor and Description
`HashHolder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `increment(int hash, int verHash)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hash

    public int hash

#### verHash

    public int verHash

### Constructor Detail

#### HashHolder

    public HashHolder()

### Method Detail

#### increment

    public void increment(int hash,
                          int verHash)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023